#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    string t;
    int levi = 0, desni = 0;

    // Unos
    cin >> t;

    // Obrada
    for (int i = 0; i < t.length(); i++)
    {
        if (t[i] == 'b')
        {
            levi = i;
            break;
        }
    }

    for (int i = t.length()-1; i >= 0; i--)
    {
        if (t[i] == 'b')
        {
            desni = t.length() - i - 1;
            break;
        }
    }

    cout << abs(levi - desni) + 1;

    return 0;
}